<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioVendaPorMarcaEGrupoTotais" pageWidth="555" pageHeight="802" columnWidth="555" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="562f22ae-e521-4a7f-8e1c-43941a5a34be">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="quantidadeTotal" class="java.lang.Integer"/>
	<parameter name="empresas" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="grupos" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT empresa.idEmpresaFisica, sum(item.quantidade) as 'quantidade' ,
sum(item.precoVenda * item.quantidade) as 'totalVenda',
sum(saldo.custo * item.quantidade) as 'totalCusto',
(sum(item.precoVenda * item.quantidade) - sum(saldo.custo * item.quantidade) ) as 'lucroBruto'

FROM nepalign.itempedidovenda item
INNER JOIN pedidovenda pedido ON item.idPedidoVenda = pedido.idPedidoVenda
INNER JOIN usuario usu ON usu.idUsuario = pedido.idUsuario
INNER JOIN estoqueproduto estoque ON item.idEstoqueProduto = estoque.idEstoqueProduto
INNER JOIN produto prod  ON prod.idProduto = estoque.idProduto
INNER JOIN saldoestoqueproduto saldo ON saldo.idEstoqueProduto = estoque.idEstoqueProduto and saldo.idEmpresaFisica = usu.idEmpresaPadrao
INNER JOIN marca marca ON marca.idMarca = prod.idMarca
INNER JOIN grupoproduto grupo ON grupo.idGrupoProduto = prod.idGrupoProduto
INNER JOIN empresafisica empresa ON pedido.idEmpresaFisica = empresa.idEmpresaFisica
Where pedido.idTipoMovimentacaoEstoque = 2 and pedido.idSituacaoPedidoVenda = 4 AND
 saldo.idEmpresaFisica IN($P!{empresas})
and marca.idMarca in($P!{grupos})
group by  empresa.idEmpresaFisica
ORDER BY sum(item.quantidade) desc]]>
	</queryString>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigo:Código]]></fieldDescription>
	</field>
	<field name="quantidade" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="totalVenda" class="java.lang.Double"/>
	<field name="totalCusto" class="java.lang.Double"/>
	<field name="lucroBruto" class="java.lang.Double"/>
	<variable name="RowCount" class="java.lang.Integer">
		<variableExpression><![CDATA[$V{REPORT_COUNT}]]></variableExpression>
	</variable>
	<variable name="porcetagem" class="java.lang.Double">
		<variableExpression><![CDATA[new Double($F{quantidade}.doubleValue()/$P{quantidadeTotal})]]></variableExpression>
	</variable>
	<columnHeader>
		<band height="11" splitType="Stretch">
			<staticText>
				<reportElement uuid="48a802ad-24e5-453c-95c0-3001ec255be4" x="125" y="0" width="111" height="11"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Quantidade:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="b0a5305f-05fd-4b32-aa7d-dfec6c51cb7a" x="70" y="0" width="55" height="11"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Rank:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="a42b6b5e-1b05-4e7b-b852-a3bcd6512b9d" x="14" y="0" width="56" height="11"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Empresa:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="19af51e8-e7fa-4988-af89-4de1e275dc3a" x="236" y="0" width="60" height="11"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Total Custo:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="d62b6def-94df-458a-9f34-99d31094528d" x="341" y="0" width="68" height="11"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Total Venda:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="aa2ce724-f240-498b-8c98-ced75b49f65e" x="444" y="0" width="63" height="11"/>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Lucro Bruto:]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="11" splitType="Stretch">
			<textField>
				<reportElement uuid="4b81ca34-2d37-49ff-9b9a-5ccd311659a8" x="14" y="0" width="56" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{idEmpresaFisica}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00 %">
				<reportElement uuid="16546b9c-3cbf-417b-9c9d-887a952043a6" x="185" y="0" width="51" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{porcetagem}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="a662dc1b-ed6e-4890-9c05-60263dc64681" x="125" y="0" width="60" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{quantidade}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="a739fe96-e271-4fc4-9303-008df1b45b2a" x="70" y="0" width="55" height="11"/>
				<textElement textAlignment="Left">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{RowCount}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="1114e919-f3e5-4e38-9a90-0c65511e6fe3" x="444" y="0" width="63" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{lucroBruto}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="1160cbd1-e33f-447b-a1f1-0313381b880c" x="234" y="0" width="62" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{totalCusto}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="f20fa864-ddab-434f-9d54-a7648512dc19" x="341" y="0" width="70" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{totalVenda}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
